Subject: Re: [bug#69538] [PATCH]: Update Nyxt to 3.11.4

From: André A. Gomes <[email-masked]>
Date: Mon, 11 Mar 2024 12:05:16 +0200

Guillaume Le Vaillant <[email-masked]> writes:

> I tried to test this update, but Nyxt crashes with the following error:
>
> $ ./pre-inst-env guix shell nyxt -- nyxt -I
>
> Nyxt version 3.11.4
> <INFO> [13:26:14] Source location: #P"/gnu/store/qfrj51yy20v55lkwlxqc77cqavcyf148-nyxt-3.11.3/share/nyxt/"
> <INFO> [13:26:14] Listening to socket: #P"/run/user/1000/nyxt/nyxt.socket"
> CORRUPTION WARNING in SBCL pid 7807 tid 7845:
> Memory fault at 0x633932b1 (pc=0x5499b5a5 [code 0x5499b530+0x75 ID 0x406b], fp=0x7f670390da48, sp=0x7f670390da30) tid 7845
> The integrity of this image is possibly compromised.
> Continuing with fingers crossed.
> <WARN> [13:26:14] Warning: Error on GI-GTK thread: Unhandled memory fault at #x633932B1.
>
> Does Nyxt start successfully for you?

Hi Guillaume,

Yes, it starts successfully for me.  I can't reproduce your report...

-- 
André A. Gomes
"You cannot even find the ruins..."